Uploaded image for project: 'CFEngine Community'
  1. CFEngine Community
  2. CFE-2062

apt-get package_module fails to install virtualbox-5.0

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Done
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.7.1
    • Component/s: Promise type: packages
    • Labels:
      None

      Description

      I get errors when I try to install "virtualbox-5.0" using the apt_get package module.

      <pre>
      packages:
      "virtualbox-5.0"
      policy => "present",
      package_module => apt_get;
      </pre>

      It is indeed the correct pancake name.

      <pre>
      % apt-cache policy virtualbox-5.0
      virtualbox-5.0:
      Installed: (none)
      Candidate: 5.0.0-101573~Ubuntu~trusty
      Version table:
      5.0.0-101573~Ubuntu~trusty 0
      500 http://download.virtualbox.org/virtualbox/debian/ vivid/contrib amd64 Packages
      </pre>

      Agent debug output

      <pre>
      verbose: P: Container path : '/default/autorun/methods/'autorun'/default/nicks_workstation/packages/'virtualbox-5.0'[9]'
      verbose: P: .........................................................
      verbose:
      debug: Getting supported API version.
      debug: Opened fds 4 and 7 for command 'supports-api-version'.
      debug: Data read from package module: 2 [1
      ]
      debug: cf_pwait - Waiting for process 10102
      debug: package wrapper API version: 1
      debug: Successfully created package module wrapper for 'apt_get' package module.
      debug: Starting evaluating present action promise.
      debug: Getting package 'virtualbox-5.0' data.
      debug: Opened fds 4 and 7 for command 'get-package-data'.
      debug: Data read from package module: 69 [File=virtualbox-5.0
      ErrorMessage: Package string with illegal format
      ]
      debug: cf_pwait - Waiting for process 10103
      verbose: Package module returned with non zero return code: 1
      info: Some error occurred while communicating with package module while collecting package data.
      info: Can not obtain package data for promise: virtualbox-5.0
      debug: Evaluating present action promise status: f
      error: Error installing package 'virtualbox-5.0'
      verbose: A: Promise NOT KEPT!
      verbose: P: END packages promise (virtualbox-5.0...)

      </pre>

        Attachments

          Activity

            People

            Assignee:
            a10040 Kristian Amlie
            Reporter:
            a10042 Nick Anderson
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Time Tracking

                Estimated:
                Original Estimate - 2 hours
                2h
                Remaining:
                Not Specified
                Logged:
                Time Not Required
                Not Specified